=== debian/changelog ===
disk-utilities (1:0.0+git20250910-0ddebs1~ubuntu24.04) noble; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 23 Nov 2025 11:41:23 +0100

disk-utilities (1:0.0+git20241007-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 16 Nov 2024 14:41:19 +0100

disk-utilities (1:0.0+git20240101-0ddebs2) unstable; urgency=medium

  * Updated to standards-version 4.6.2
  * use debhelper compatibility v13

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 10 Mar 2024 14:51:14 +0100

disk-utilities (1:0.0+git20240101-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 11 Feb 2024 15:43:34 +0100

disk-utilities (1:0.0+git20231030-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Wed, 01 Nov 2023 20:56:42 +0100

disk-utilities (1:0.0+git20230411-0ddebs2) unstable; urgency=medium

  * use xz compression until debian 13 is released

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Apr 2023 16:44:35 +0200

disk-utilities (1:0.0+git20230411-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 15 Apr 2023 17:20:14 +0200

disk-utilities (1:0.0+git20221020-0ddebs1) unstable; urgency=medium

  * New upstream release.

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 22 Oct 2022 01:17:37 +0200

disk-utilities (1:0.0+git20220512-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 15 May 2022 15:58:28 +0200

disk-utilities (1:0.0+git20211209-0ddebs2) unstable; urgency=medium

  * update to standards-version 4.6.0.1
  * make use of debhelper-compat (= 12) dependency, and remove
    debian/compat file

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 04 Apr 2022 23:10:20 +0200

disk-utilities (1:0.0+git20211209-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 23 Dec 2021 10:31:05 +0100

disk-utilities (1:0.0+git20210725-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 26 Jul 2021 09:46:59 +0200

disk-utilities (1:0.0+git20210314-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 15 Mar 2021 00:29:42 +0000

disk-utilities (1:0.0+git20201102-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 03 Nov 2020 12:09:27 +0100

disk-utilities (1:0.0+git20200716-0ddebs1) unstable; urgency=medium

  * New upstream release
  * updated debian/watch
  * removed debian-rules-sets-DEB_BUILD_OPTIONS in debian/rules

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 01 Sep 2020 10:58:01 +0200

disk-utilities (1:0.0+git20200321-0ddebs2) unstable; urgency=medium

  * Adapt for crossbuilding

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 21 Jul 2020 16:15:39 +0200

disk-utilities (1:0.0+git20200321-0ddebs1) unstable; urgency=medium

  * New upstream release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sun, 19 Apr 2020 01:48:51 +0200

disk-utilities (1:0.0+git20191218-0ddebs2) unstable; urgency=medium

  * updated to standards-version 4.5.0

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 18 Apr 2020 14:30:38 +0200

disk-utilities (1:0.0+git20191218-0ddebs1) unstable; urgency=medium

  * New sync with git
  * debian/control added Vcs-Browser and Vcs-Git field
  * updated to standard version 4.1.4
  * debian/watch changed to use last commit

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Fri, 27 Dec 2019 20:40:16 +0100

disk-utilities (1:0.0+git20190712-0ddebs2) unstable; urgency=medium

  * Removed some unused compilation flags

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Tue, 06 Aug 2019 09:22:52 +0200

disk-utilities (1:0.0+git20190712-0ddebs1) unstable; urgency=medium

  * Update from upstream Git

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Thu, 25 Jul 2019 17:17:40 +0200

disk-utilities (1:0.0+git20180721-0ddebs1) unstable; urgency=medium

  * new version with epoch change that give a better upstream version

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Mon, 26 Nov 2018 23:30:56 +0100

disk-utilities (1.0-0ddebs1) unstable; urgency=medium

  * Initial release

 -- Nicolas HOUDELOT <nicolas@demosdebs.org>  Sat, 13 Oct 2018 23:39:03 +0200
