=== debian/control ===
Source: disk-utilities
Section: utils
Priority: optional
Maintainer: Nicolas HOUDELOT <nicolas@demosdebs.org>
Build-Depends:
 debhelper-compat (= 13),
 libcapsimage5-dev
Standards-Version: 4.6.2
Homepage: https://github.com/keirf/Disk-Utilities
Vcs-Browser: https://github.com/keirf/Disk-Utilities
Vcs-Git: https://github.com/keirf/Disk-Utilities.git

Package: libdisk-dev
Section: libdevel
Architecture: any
Depends:
 libdisk0 (= ${binary:Version}),
 ${misc:Depends}
Description: Development files of library for converting and manipulating disk
 images. It can create disk images in a range of formats from Kryoflux STREAM
 and SPS/IPF images (among others), and then allow these to be accessed and
 modified.

Package: libdisk0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Library for converting and manipulating disk images.
 It can create disk images in a range of formats from Kryoflux STREAM and
 SPS/IPF images (among others), and then allow these to be accessed and
 modified.

Package: disk-utilities
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Utilities for ripping, dumping, analysing, and modifying disk images.
 disk-analyse/ Disk image conversion tool.
 adfbb/ Read/modify/write ADF boot blocks.
 adfread/ Read file contents of an ADF and optionally dump into local host
 filesystem adfwrite/ Stuff data into selected sectors of an ADF image
 amiga-native/diskread Dumps a disk to a (large, 20MB!) file.
 m68k/ m68k/ M68k disassembler/emulator library.
 ipfinfo/ Dump information about an SPS/IPF image file.
 scp/ Dump floppy flux data from Supercard Pro to a .SCP image file.
