=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,nocheck

ifneq "$(DEB_HOST_MULTIARCH)" "m68k-linux-gnu" 
	export DEB_CFLAGS_MAINT_APPEND  = -flto
	export DEB_LDFLAGS_MAINT_APPEND  = -flto
endif

CONFIGURE_EXTRA_FLAGS += --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_EXTRA_FLAGS)
	(cd debian; \
	  for i in *.in; do\
	  o=`basename $$i .in`;\
	  sed 's/@DEB_HOST_MULTIARCH@/$(DEB_HOST_MULTIARCH)/g' "$$i" > "$$o"; \
	  done )

override_dh_auto_install:
	find . -name "COPYING" -delete
	dh_auto_install
