=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.0+git%cd, \
    	 repack,compression=xz" \
         https://github.com/keirf/Disk-Utilities \
         HEAD debian uupdate
